<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.18                                                  |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2016 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Patch #1                                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002-2016 Esselbach Internet Solutions
 */

/**
 * function ArticlesSummary
 * A function to show the article summary
 * @author Philipp Louis Esselbach
 */
function ArticlesSummary( $page )
{
	global $config, $database, $templates, $system, $security, $preferences, $user, $ipaddr, $uwrapper;
	$templates -> initgzip();

	list( $page_query, $opt ) = $system -> getpages( $page, 0 );

	$articles_theme = $preferences[ 'current_theme' ];
	if ( $preferences[ 'articles_template_sets' ] or $preferences[ 'articles_blocks' ] )
	{
		$query = $database -> dbquery( "SELECT article_templateset, article_blocks FROM " . DB_PREFIX . "esselbach_ct_articles WHERE article_seo = '" . $page_query . "' AND (article_website = '0' OR article_website = '" . intval( $config[ 'WEBSITE' ] ) . "')" );
		if ( $database -> dbrows( $query ) )
		{
			list( $article_templateset, $article_blocks ) = $database -> dbrow( $query );
			if ( $article_templateset )
			{
				$articles_theme = $article_templateset;
			}
			if ( $article_blocks )
			{
				$preferences[ 'site_blocks_override'] = $article_blocks;
			}
		}
	}

	$main_templates = $templates -> preparetemplates( "'site_header','site_footer','site_menu_header','site_menu_item_header','site_menu_sub_item_header','site_menu_sub_item_footer','site_menu_item_footer','site_menu_item_admin','site_menu_footer','site_block','site_block_alt1','site_block_alt2','site_login_anon','site_login_user','site_login_cookie','site_social','articles_header','articles_summary_header','articles_teaserimage','articles_summary','articles_summary_editlink','articles_tags','articles_tags_list','articles_summary_nav','articles_summary_nav_previous','articles_summary_nav_next','articles_social','articles_facebook','articles_twitter','articles_google','articles_rating_1star','articles_rating_2stars','articles_rating_3stars','articles_rating_4stars','articles_rating_5stars','articles_error_na','articles_summary_rating_form','articles_summary_comment_scripts_standard','articles_summary_comment_scripts_wysiwyg','articles_summary_comment_pagenav_header','articles_summary_comment_pagenav_first','articles_summary_comment_pagenav_previous','articles_summary_comment_pagenav_link','articles_summary_comment_pagenav_selected','articles_summary_comment_pagenav_next','articles_summary_comment_pagenav_last','articles_summary_comment_pagenav_footer','articles_summary_comment_manage_header','articles_summary_advertisement','articles_summary_comment','articles_summary_comment_plonked','articles_summary_comment_userposts','articles_summary_comment_userregdate','articles_summary_comment_userlocation','articles_summary_comment_usertitle','articles_summary_comment_usertitle_anon','articles_summary_comment_usertitle_admin','articles_summary_comment_usertitle_moderator','articles_summary_comment_usertitle_subscriber','articles_summary_comment_usertitle_banned','articles_summary_comment_avatar','articles_summary_comment_signature','articles_summary_comment_profile','articles_summary_comment_messageicon','articles_summary_comment_options','articles_summary_comment_options_edit','articles_summary_comment_options_admin','articles_summary_comment_manage_footer','articles_summary_comment_form','articles_summary_comment_form_wysiwyg','articles_summary_comment_form_anon','articles_summary_comment_form_securitycode','articles_summary_comment_form_recaptcha','articles_summary_comment_form_icon','articles_summary_comment_form_iconrow','articles_summary_comment_form_signature','articles_summary_comment_form_external','articles_summary_footer','articles_footer','articles_error_noarticle','articles_layout_summary'", $articles_theme );

	$insert = $system -> getinsert( $preferences, $main_templates );
	$insert[ 'site_theme' ] = $articles_theme;
	$currentdate = date( "Y-m-d H:i:s", mktime() );

	$insert[ 'articles_security_hash' ] = $system -> dorand();
	if( !$user[ 'user_nocookie' ] )
	{
	   session_start();
	   $_SESSION[ 'articles_security_hash' ] = $insert[ 'articles_security_hash' ];
	}

	if( $user[ 'user_status' ] == 1 )
	{
		$article_status = "(article_status = '0' OR article_status = '1' OR article_status = '3')";
		$article_status_alt = "(article_status = '0' OR article_status = '1')";
	}
	elseif( $user[ 'user_status' ] == 2 or $user[ 'user_status' ] == 3 )
	{
		$article_status = "(article_status = '0' OR article_status = '1' OR article_status = '2' OR article_status = '3' OR article_status = '4')";
		$article_status_alt = "(article_status = '0' OR article_status = '1' OR article_status = '2' OR article_status = '4')";
	}
	elseif( $user[ 'user_status' ] == 6 )
	{
		$article_status = "(article_status = '0' OR article_status = '1' OR article_status = '3' OR article_status = '4')";
		$article_status_alt = "(article_status = '0' OR article_status = '1' OR article_status = '4')";
	}
	else
	{
		$article_status = "(article_status = '0' OR article_status = '3')";
		$article_status_alt = "article_status = '0'";
	}

	if( $preferences[ 'articles_start_expire_date' ] )
	{
		$articles_expire_sql = " AND article_startdate < '" . $currentdate . "' AND (article_expiredate > '" . $currentdate . "' OR article_neverexpire = '1')";
	}
	else
	{
		$articles_expire_sql = "";
	}

	$query = $database -> dbquery( "SELECT article_id, article_author, article_category, article_title, article_seo, article_summary, article_description, article_keywords, article_tags, article_teaser, article_comments, article_thread, article_allowcomments, article_status, article_date, article_fields, article_views, article_rating, article_votes FROM " . DB_PREFIX . "esselbach_ct_articles WHERE article_seo = '" . $page_query . "' AND " . $article_status . " AND (article_website = '0' OR article_website = '" . intval( $config[ 'WEBSITE' ] ) . "')" . $articles_expire_sql );

	if( $database -> dbrows( $query ) )
	{
		list( $insert[ 'article_id' ], $insert[ 'article_author' ], $insert[ 'article_category' ], $insert[ 'article_title' ], $insert[ 'article_seo' ], $insert[ 'article_summary' ], $insert[ 'article_description' ], $insert[ 'article_keywords' ], $insert[ 'article_tags' ], $insert[ 'article_teaser' ], $insert[ 'article_comments' ], $insert[ 'article_thread' ], $insert[ 'article_allowcomments' ], $insert[ 'article_status' ], $insert[ 'article_date' ], $insert[ 'article_fields' ], $insert[ 'article_views' ], $insert[ 'article_rating' ], $insert[ 'article_votes' ] ) = $database -> dbrow( $query );
		$id = $security -> checknum( $insert[ 'article_id' ] );

		if( $preferences[ 'articles_allow_rating' ] and $insert[ 'article_votes' ] )
		{
			if( $insert[ 'article_rating' ] == 5 )
			{
				$insert[ 'article_rating_line' ] = $templates -> exectemplate( $main_templates[ 'articles_rating_5stars_html' ], $main_templates[ 'articles_rating_5stars_php' ], $insert );
			}
			elseif( $insert[ 'article_rating' ] == 4 )
			{
				$insert[ 'article_rating_line' ] = $templates -> exectemplate( $main_templates[ 'articles_rating_4stars_html' ], $main_templates[ 'articles_rating_4stars_php' ], $insert );
			}
			elseif( $insert[ 'article_rating' ] == 3 )
			{
				$insert[ 'article_rating_line' ] = $templates -> exectemplate( $main_templates[ 'articles_rating_3stars_html' ], $main_templates[ 'articles_rating_3stars_php' ], $insert );
			}
			elseif( $insert[ 'article_rating' ] == 2 )
			{
				$insert[ 'article_rating_line' ] = $templates -> exectemplate( $main_templates[ 'articles_rating_2stars_html' ], $main_templates[ 'articles_rating_2stars_php' ], $insert );
			}
			elseif( $insert[ 'article_rating' ] < 2 )
			{
				$insert[ 'article_rating_line' ] = $templates -> exectemplate( $main_templates[ 'articles_rating_1star_html' ], $main_templates[ 'articles_rating_1star_php' ], $insert );
			}
		}
		else
		{
			$insert[ 'article_rating_line' ] = "";
		}

		$insert[ 'param_ext' ] = $preferences[ 'param_ext' ];
		$insert[ 'param_ct' ] = $preferences[ 'param_ct' ];
		$insert[ 'param_action' ] = $preferences[ 'param_action' ];
		$insert[ 'param_page' ] = $preferences[ 'param_page' ];
		$insert[ 'param_id' ] = $preferences[ 'param_id' ];

		if( $user[ 'user_status' ] == 2 and $insert[ 'article_author' ] == $user[ 'user_name' ] )
		{
			$insert[ 'article_edit' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_editlink_html' ], $main_templates[ 'articles_summary_editlink_php' ], $insert );
		}
		else
		{
			$insert[ 'article_edit' ] = "";
		}

		if( $insert[ 'article_tags' ] )
		{
			$tags = explode( ",", $insert[ 'article_tags' ] );
			$tags_array = array();

			foreach( $tags as $tag )
			{
				if( $tag )
				{
					$insert[ 'article_tag' ] = ltrim( rtrim( $tag ) );
					$insert[ 'article_tag_seo' ] = $system -> doseo( $insert[ 'article_tag' ] );
					$tags_array[ ] = $templates -> exectemplate( $main_templates[ 'articles_tags_list_html' ], $main_templates[ 'articles_tags_list_php' ], $insert );
				}
			}

			$insert[ 'article_tags_list' ] = implode( ",", $tags_array );
			$insert[ 'article_tags' ] = $templates -> exectemplate( $main_templates[ 'articles_tags_html' ], $main_templates[ 'articles_tags_php' ], $insert );
		}

		$article_title = $insert[ 'article_title' ];
		$insert[ 'article_title' ] = htmlspecialchars( $insert[ 'article_title' ], ENT_QUOTES, CT_ENCODING );
		$insert[ 'article_author' ] = htmlspecialchars( $insert[ 'article_author' ], ENT_QUOTES, CT_ENCODING );
		$insert[ 'article_date' ] = $system -> convertdate( $insert[ 'article_date' ], $preferences[ 'articles_dateformat' ], $preferences[ 'website_timezone' ] );

		if( $insert[ 'article_fields' ] )
		{
			$input_fields_array = explode( "|", $insert[ 'article_fields' ] );
			$extra = 0;

			for( $i = 0; $i < 24; $i++ )
			{
				$extra++;
				$insert[ 'article_extra' . $extra ] = $system -> decode( $input_fields_array[ $i ] );
			}
		}
		else
		{
			for( $i = 1; $i < 25; $i++ )
			{
				$insert[ 'article_extra' . $i ] = "";
			}
		}

		if( $insert[ 'article_teaser' ] )
		{
			$insert[ 'article_teaserimage' ] = $templates -> exectemplate( $main_templates[ 'articles_teaserimage_html' ], $main_templates[ 'articles_teaserimage_php' ], $insert );
		}
		else
		{
			$insert[ 'article_teaserimage' ] = "";
		}

		if( $preferences[ 'website_advertisement_middle' ] )
		{
			$insert[ 'advertisement_middle' ] = $preferences[ 'website_advertisement_middle' ];
			$insert[ 'article_advertisement' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_advertisement_html' ], $main_templates[ 'articles_summary_advertisement_php' ], $insert );
		}
		else
		{
			$insert[ 'article_advertisement' ] = "";
		}

		$insert[ 'article_title_encoded' ] = urlencode( htmlspecialchars( $insert[ 'article_title' ], ENT_QUOTES, CT_ENCODING ) );
		$insert[ 'article_url_encoded' ] = urlencode( $system -> rewritelink( htmlspecialchars( $insert[ 'site_url' ] . "/index.php" . $insert[ 'param_ct' ] . "articles" . $insert[ 'param_action' ] . "summary" . $insert[ 'param_page' ] . $insert[ 'article_seo' ] . ".html", ENT_QUOTES, CT_ENCODING ) ) );

		if( $preferences[ 'articles_social' ] )
		{
			$insert[ 'article_social_links' ] = "";
			$query = $database -> dbquery( "SELECT sociallink_name, sociallink_image, sociallink_link FROM ".DB_PREFIX."esselbach_ct_sociallinks WHERE sociallink_active = '1' ORDER BY sociallink_position" );

			if ($database -> dbrows( $query ) )
			{
				while( list( $sociallink_name, $sociallink_image, $sociallink_link ) = $database -> dbrow( $query ) )
				{
					$insert[ 'sociallink_name'] = $sociallink_name;
					$insert[ 'sociallink_image'] = "images/social/" . $sociallink_image;
					$insert[ 'sociallink_link'] = str_replace( array( "URL_ENCODED", "TITLE_ENCODED" ) , array( $insert[ 'article_url_encoded' ], $insert[ 'article_title_encoded' ] ), $sociallink_link );
					$insert[ 'article_social_links' ] .= $templates -> exectemplate( $main_templates[ 'site_social_html' ], $main_templates[ 'site_social_php' ], $insert );
				}
			}
			$insert[ 'article_social' ] = $templates -> exectemplate( $main_templates[ 'articles_social_html' ], $main_templates[ 'articles_social_php' ], $insert );
		}
		else
		{
			$insert[ 'article_social' ] = "";
		}

		if( $preferences[ 'articles_facebook' ] )
		{
			$insert[ 'article_facebook' ] = $templates -> exectemplate( $main_templates[ 'articles_facebook_html' ], $main_templates[ 'articles_facebook_php' ], $insert );
		}
		else
		{
			$insert[ 'article_facebook' ] = "";
		}

		if( $preferences[ 'articles_twitter' ] )
		{
			$insert[ 'article_twitter' ] = $templates -> exectemplate( $main_templates[ 'articles_twitter_html' ], $main_templates[ 'articles_twitter_php' ], $insert );
		}
		else
		{
			$insert[ 'article_twitter' ] = "";
		}

		if( $preferences[ 'articles_google' ] )
		{
			$insert[ 'article_google' ] = $templates -> exectemplate( $main_templates[ 'articles_google_html' ], $main_templates[ 'articles_google_php' ], $insert );
		}
		else
		{
			$insert[ 'article_google' ] = "";
		}

		if( $preferences[ 'articles_forum_comments' ] and $insert[ 'article_thread' ] )
		{
			$insert[ 'article_comments' ] = $uwrapper -> getcomment( $insert[ 'article_thread' ] );
		}

		if ( $preferences[ 'articles_comments_wysiwyg' ] )
		{
			$insert[ 'article_comment_scripts' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_scripts_wysiwyg_html' ], $main_templates[ 'articles_summary_comment_scripts_wysiwyg_php' ], $insert );
		}
		else
		{
			$insert[ 'article_comment_scripts' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_scripts_standard_html' ], $main_templates[ 'articles_sumary_comment_scripts_standard_php' ], $insert );
		}

		$articles_summary = $templates -> exectemplate( $main_templates[ 'articles_summary_html' ], $main_templates[ 'articles_summary_php' ], $insert );
		$input_author = $database -> dbescape( $user[ 'user_username' ] );
		$insert[ 'page_name' ] = $insert[ 'article_title' ];
		$insert[ 'page_description' ] = htmlspecialchars( $insert[ 'article_description' ], ENT_QUOTES, CT_ENCODING );
		$insert[ 'page_keywords' ] = htmlspecialchars( $insert[ 'article_keywords' ], ENT_QUOTES, CT_ENCODING );
	}

	if( !isset( $articles_summary ) )
	{
		$articles_summary = "";
		$insert[ 'page_name' ] = htmlspecialchars( $preferences[ 'website_name' ], ENT_QUOTES, CT_ENCODING );
		$insert[ 'page_description' ] = htmlspecialchars( $preferences[ 'website_description' ], ENT_QUOTES, CT_ENCODING );
		$insert[ 'page_keywords' ] = htmlspecialchars( $preferences[ 'website_keywords' ], ENT_QUOTES, CT_ENCODING );
	}

	echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );

	if( $preferences[ 'articles_navigation' ] )
	{
		if( $articles_summary )
		{
			$insert[ 'articles_summary_header' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_header_html' ], $main_templates[ 'articles_summary_header_php' ], $insert );
		}
		else
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_header_html' ], $main_templates[ 'articles_header_php' ], $insert );
		}
	}

	if( $articles_summary )
	{
		$insert[ 'articles_summary' ] = $articles_summary;
		$insert[ 'articles_summary_rating_form' ] = "";

		if( $preferences[ 'articles_allow_rating' ] )
		{
			if( $preferences[ 'articles_allow_unregrating' ] or $user[ 'user_status' ] )
			{
				$votes = 0;

				if( $user[ 'user_status' ] )
				{
					$query = $database -> dbquery( "SELECT articlerating_id FROM " . DB_PREFIX . "esselbach_ct_articlesratings WHERE articlerating_article = '" . $id . "' and articlerating_user = '" . intval( $user[ 'user_id' ] ) . "'" );
					$votes = $database -> dbrows( $query );
				}
				else
				{
					$uniqueid = md5( $_SERVER[ 'HTTP_USER_AGENT' ] . $ipaddr );
					$query = $database -> dbquery( "SELECT articlerating_id FROM " . DB_PREFIX . "esselbach_ct_articlesratings WHERE articlerating_article = '" . $id . "' and articlerating_uniqueid = '" . $uniqueid . "'" );
					$votes = $database -> dbrows( $query );
				}

				if( !$votes )
				{
					$insert[ 'articles_summary_rating_form' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_rating_form_html' ], $main_templates[ 'articles_summary_rating_form_php' ], $insert );
				}
			}
		}

		if( $preferences[ 'articles_navigation' ] )
		{
		    $website_url_array = array();
		    $query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_URL' ORDER BY preference_website" );
		    while( list( $website_id, $website_url ) = $database -> dbrow( $query ) )
		    {
		        if( !count( $website_url_array ) )
		        {
		            $website_url_array[ 0 ] = $website_url;
		        }
		        $website_url_array[ $website_id ] = $website_url;
		    }

			$query = $database -> dbquery( "SELECT article_website, article_title, article_seo FROM " . DB_PREFIX . "esselbach_ct_articles WHERE article_id < '" . $id . "' AND " . $article_status_alt . " AND (article_website = '0' OR article_website = '" . intval( $config[ 'WEBSITE' ] ) . "') ORDER BY article_id DESC LIMIT 1" );

			if( $database -> dbrows( $query ) )
			{
				list( $previous_website, $previous_title, $previous_seo ) = $database -> dbrow( $query );
				$insert[ 'articles_nav_website' ] = ( $_SERVER[ 'SERVER_PORT' ] == "443" ) ? str_replace( "http://", "https://", $website_url_array[ $previous_website ] ) : $website_url_array[ $previous_website ] ;
				$insert[ 'articles_nav_seo' ] = $previous_seo;
				$insert[ 'articles_nav_title' ] = htmlspecialchars( $previous_title, ENT_QUOTES, CT_ENCODING );
				$insert[ 'articles_previous_article' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_nav_previous_html' ], $main_templates[ 'articles_summary_nav_previous_php' ], $insert );
			}
			else
			{
				$insert[ 'articles_previous_article' ] = "";
			}

			$query = $database -> dbquery( "SELECT article_website, article_title, article_seo FROM " . DB_PREFIX . "esselbach_ct_articles WHERE article_id > '" . $id . "' AND " . $article_status_alt . " AND (article_website = '0' OR article_website = '" . intval( $config[ 'WEBSITE' ] ) . "') ORDER BY article_id LIMIT 1" );

			if( $database -> dbrows( $query ) )
			{
				list( $next_website, $next_title, $next_seo ) = $database -> dbrow( $query );
				$insert[ 'articles_nav_website' ] = ( $_SERVER[ 'SERVER_PORT' ] == "443" ) ? str_replace( "http://", "https://", $website_url_array[ $next_website ] ) : $website_url_array[ $next_website ] ;
				$insert[ 'articles_nav_seo' ] = $next_seo;
				$insert[ 'articles_nav_title' ] = htmlspecialchars( $next_title, ENT_QUOTES, CT_ENCODING );
				$insert[ 'articles_next_article' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_nav_next_html' ], $main_templates[ 'articles_summary_nav_next_php' ], $insert );
			}
			else
			{
				$insert[ 'articles_next_article' ] = "";
			}

			$insert[ 'articles_current_article' ] = $insert[ 'article_title' ];
			$insert[ 'articles_summary_nav' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_nav_html' ], $main_templates[ 'articles_summary_nav_php' ], $insert );
		}

		$insert[ 'articles_summary_comment_pagenav' ] = "";
		$insert[ 'articles_summary_comment_manage_header' ] = "";
		$insert[ 'articles_summary_comment' ] = "";
		$insert[ 'articles_summary_comment_manage_footer' ] = "";

		if( $preferences[ 'articles_forum_comments' ] and $insert[ 'article_thread' ] )
		{
			$articles_all_comments = $insert[ 'article_comments' ];
			$articles_user_array = $uwrapper -> getcommentsusers( $insert[ 'article_thread' ] );
		}
		else
		{
			if( $user[ 'user_status' ] == 2 or $user[ 'user_status' ] == 3 )
			{
				$articlecomment_status = "articlecomment_article = '" . $id . "'";
			}
			elseif( $user[ 'user_status' ] == 4 )
			{
				$articlecomment_status = "articlecomment_article = '" . $id . "' AND (articlecomment_plonk = '" . intval( $user[ 'user_id' ] ) . "' OR articlecomment_plonk = '0')";
			}
			else
			{
				$articlecomment_status = "articlecomment_article = '" . $id . "' AND articlecomment_plonk = '0'";
			}

			$query = $database -> dbquery( "SELECT articlecomment_authorid FROM " . DB_PREFIX . "esselbach_ct_articlescomments WHERE " . $articlecomment_status );
			$articles_all_comments = $database -> dbrows( $query );
		}

		if( $articles_all_comments )
		{
			$articles_profile_array = array();
			$articles_usertitle_title_array = array();
			$articles_usertitle_posts_array = array();
			$articles_comments_pages = ceil( $articles_all_comments / $preferences[ 'articles_max_comments' ] );

			if( !isset( $articles_user_array ) )
			{
				$articles_user_array = array();

				while( list( $articles_user_id ) = $database -> dbrow( $query ) )
				{
					$articles_user_array[ ] = "'" . intval( $articles_user_id ) . "'";
				}
			}

			$articles_profile_array = $uwrapper -> getprofilesfromarray( $articles_user_array );

			if( $opt )
			{
				$articles_comments_dbpage = $opt - 1;
				$articles_comments_page = $articles_comments_dbpage * $preferences[ 'articles_max_comments' ];
			}
			else
			{
				$articles_comments_page = 0;
			}

			$query = $database -> dbquery( "SELECT usertitle_title, usertitle_posts FROM " . DB_PREFIX . "esselbach_ct_userstitles ORDER BY usertitle_posts" );

			while( list( $usertitle_title, $usertitle_posts ) = $database -> dbrow( $query ) )
			{
				$articles_usertitle_title_array[ ] = $usertitle_title;
				$articles_usertitle_posts_array[ ] = $usertitle_posts;
			}

			if( $preferences[ 'articles_allow_msgicons' ] )
			{
				$articles_messageicons = array();
				$query = $database -> dbquery( "SELECT messageicon_id, messageicon_image FROM " . DB_PREFIX . "esselbach_ct_messageicons" );

				while( list( $messageicon_id, $messageicon_image ) = $database -> dbrow( $query ) )
				{
					$articles_messageicons[ $messageicon_id ] = $messageicon_image;
				}
			}

			if( $preferences[ 'articles_forum_comments' ] and $insert[ 'article_thread' ] )
			{
				$articles_comments = $uwrapper -> getcommentpage( $insert[ 'article_thread' ], $articles_comments_page, $preferences[ 'articles_max_comments' ] );
			}
			else
			{
				$query = $database -> dbquery( "SELECT articlecomment_id, articlecomment_authorid, articlecomment_author, articlecomment_icon, articlecomment_subject, articlecomment_rawtext, articlecomment_text, articlecomment_plonk, articlecomment_signature, articlecomment_smilies, articlecomment_bcode, articlecomment_date, articlecomment_edits, articlecomment_lasteditauthor, articlecomment_lasteditdate, articlecomment_postip, articlecomment_editip FROM " . DB_PREFIX . "esselbach_ct_articlescomments WHERE " . $articlecomment_status . " LIMIT " . $articles_comments_page . "," . $preferences[ 'articles_max_comments' ] );
				$articles_comments = $database -> dbrows( $query );
			}

			if( $articles_comments )
			{
				if( ( $articles_comments_page < $articles_all_comments ) and( $articles_comments_pages > 1 ) )
				{
					$insert[ 'articlescomment_totalpages' ] = $articles_comments_pages;
					$insert[ 'articles_summary_comment_pagenav' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_header_html' ], $main_templates[ 'articles_summary_comment_pagenav_header_php' ], $insert );

					if( !$opt )
					{
						$opt = 1;
					}

					if( $articles_comments_pages > 6 )
					{
						$articles_comments_pages_new = $opt + 1;
						$articles_comments_pages_old = $opt - 1;

						if( $articles_comments_pages_new < 3 )
						{
							$articles_comments_pages_cur = 3;
						}
						else
						{
							$articles_comments_pages_cur = $articles_comments_pages_new;
						}

						if( $opt > 2 )
						{
							$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_first_html' ], $main_templates[ 'articles_summary_comment_pagenav_first_php' ], $insert );
						}

						$current = $articles_comments_pages_cur - 2;
						$forward = $current + 4;
						$backward = $articles_comments_pages - 3;

						if( $forward > $articles_comments_pages )
						{
							$insert[ 'articlecomment_previous' ] = $insert[ 'article_seo' ];

							if( $articles_comments_pages_old != 1 )
							{
								$insert[ 'articlecomment_previous' ] .= "," . $articles_comments_pages_old;
							}

							$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_previous_html' ], $main_templates[ 'articles_summary_comment_pagenav_previous_php' ], $insert );

							for( $i = $backward; $i <= $articles_comments_pages; $i++ )
							{
								$insert[ 'articlecomment_page' ] = $i;

								if( $opt == $i )
								{
									$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_selected_html' ], $main_templates[ 'articles_summary_comment_pagenav_selected_php' ], $insert );
								}
								else
								{
									$insert[ 'articlecomment_link' ] = $insert[ 'article_seo' ];

									if( $i != 1 )
									{
										$insert[ 'articlecomment_link' ] .= "," . $i;
									}

									$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_link_html' ], $main_templates[ 'articles_summary_comment_pagenav_link_php' ], $insert );
								}
							}
						}
						else
						{
							if( $articles_comments_pages_old > 3 )
							{
								$insert[ 'articlecomment_previous' ] = $insert[ 'article_seo' ];

								if( $articles_comments_pages_old != 1 )
								{
									$insert[ 'articlecomment_previous' ] .= "," . $articles_comments_pages_old;
								}

								$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_previous_html' ], $main_templates[ 'articles_summary_comment_pagenav_previous_php' ], $insert );
							}

							for( $i = $current; $i < $forward; $i++ )
							{
								$insert[ 'articlecomment_page' ] = $i;

								if( $opt == $i )
								{
									$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_selected_html' ], $main_templates[ 'articles_summary_comment_pagenav_selected_php' ], $insert );
								}
								else
								{
									$insert[ 'articlecomment_link' ] = $insert[ 'article_seo' ];

									if( $i != 1 )
									{
										$insert[ 'articlecomment_link' ] .= "," . $i;
									}

									$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_link_html' ], $main_templates[ 'articles_summary_comment_pagenav_link_php' ], $insert );
								}
							}

							$insert[ 'articlecomment_next' ] = $insert[ 'article_seo' ] . "," . $articles_comments_pages_new;
							$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_next_html' ], $main_templates[ 'articles_summary_comment_pagenav_next_php' ], $insert );
							$insert[ 'articlecomment_last' ] = $insert[ 'article_seo' ] . "," . $articles_comments_pages;
							$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_last_html' ], $main_templates[ 'articles_summary_comment_pagenav_last_php' ], $insert );
						}
					}
					else
					{
						for( $i = 1; $i <= $articles_comments_pages; $i++ )
						{
							$insert[ 'articlecomment_page' ] = $i;
							$insert[ 'articlecomment_link' ] = $insert[ 'article_seo' ];

							if( $i != 1 )
							{
								$insert[ 'articlecomment_link' ] .= "," . $i;
							}

							if( $opt == $i )
							{
								$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_selected_html' ], $main_templates[ 'articles_summary_comment_pagenav_selected_php' ], $insert );
							}
							else
							{
								$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_link_html' ], $main_templates[ 'articles_summary_comment_pagenav_link_php' ], $insert );
							}
						}
					}

					$insert[ 'articles_summary_comment_pagenav' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_pagenav_footer_html' ], $main_templates[ 'articles_summary_comment_pagenav_footer_php' ], $insert );
				}

				$articlecomment_id_array = array();
				$articlecomment_authorid_array = array();
				$articlecomment_author_array = array();
				$articlecomment_icon_array = array();
				$articlecomment_subject_array = array();
				$articlecomment_rawtext_array = array();
				$articlecomment_text_array = array();
				$articlecomment_plonk_array = array();
				$articlecomment_signature_array = array();
				$articlecomment_smilies_array = array();
				$articlecomment_bcode_array = array();
				$articlecomment_date_array = array();
				$articlecomment_edits_array = array();
				$articlecomment_lasteditauthor_array = array();
				$articlecomment_lasteditdate_array = array();
				$articlecomment_postip_array = array();
				$articlecomment_editip_array = array();
				$moderator = 0;

				if( $preferences[ 'articles_forum_comments' ] and $insert[ 'article_thread' ] )
				{
					$articlescomments = $uwrapper -> getcommentspage( $insert[ 'article_thread' ], $articles_comments_page, $preferences[ 'articles_max_comments' ] );

					foreach( $articlescomments as $articlecomment )
					{
						$articlecomment_data = explode( "|^Z|", $articlecomment );

						if( !$system -> decode( $articlecomment_data[ 4 ] ) )
						{
							$articlecomment_subject_array[ ] = $article_title;
						}
						else
						{
							$articlecomment_subject_array[ ] = base64_decode( $articlecomment_data[ 4 ] );
						}

						$articlecomment_id_array[ ] = base64_decode( $articlecomment_data[ 0 ] );
						$articlecomment_authorid_array[ ] = base64_decode( $articlecomment_data[ 1 ] );
						$articlecomment_author_array[ ] = base64_decode( $articlecomment_data[ 2 ] );
						$articlecomment_icon_array[ ] = base64_decode( $articlecomment_data[ 3 ] );
						$articlecomment_rawtext_array[ ] = base64_decode( $articlecomment_data[ 5 ] );
						$articlecomment_text_array[ ] = base64_decode( $articlecomment_data[ 6 ] );
						$articlecomment_plonk_array[ ] = base64_decode( $articlecomment_data[ 7 ] );
						$articlecomment_signature_array[ ] = ( $preferences[ 'articles_forum_signatures' ] ) ? base64_decode( $articlecomment_data[ 8 ] ) : 0 ;
						$articlecomment_smilies_array[ ] = base64_decode( $articlecomment_data[ 9 ] );
						$articlecomment_bcode_array[ ] = base64_decode( $articlecomment_data[ 10 ] );
						$articlecomment_date_array[ ] = base64_decode( $articlecomment_data[ 11 ] );
						$articlecomment_edits_array[ ] = base64_decode( $articlecomment_data[ 12 ] );
						$articlecomment_lasteditauthor_array[ ] = base64_decode( $articlecomment_data[ 13 ] );
						$articlecomment_lasteditdate_array[ ] = base64_decode( $articlecomment_data[ 14 ] );
						$articlecomment_postip_array[ ] = base64_decode( $articlecomment_data[ 15 ] );
						$articlecomment_editip_array[ ] = base64_decode( $articlecomment_data[ 16 ] );
					}
				}
				else
				{
					if( $user[ 'user_status' ] == 3 and $preferences[ 'articles_allow_moderators' ] )
					{
						$moderator = 1;
					}

					if( $user[ 'user_status' ] == 2 or $moderator )
					{
						$insert[ 'articles_summary_comment_manage_header' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_manage_header_html' ], $main_templates[ 'articles_summary_comment_manage_header_php' ], $insert );
					}

					while( list( $articlecomment_id, $articlecomment_authorid, $articlecomment_author, $articlecomment_icon, $articlecomment_subject, $articlecomment_rawtext, $articlecomment_text, $articlecomment_plonk, $articlecomment_signature, $articlecomment_smilies, $articlecomment_bcode, $articlecomment_date, $articlecomment_edits, $articlecomment_lasteditauthor, $articlecomment_lasteditdate, $articlecomment_postip, $articlecomment_editip ) = $database -> dbrow( $query ) )
					{
						$articlecomment_id_array[ ] = $articlecomment_id;
						$articlecomment_authorid_array[ ] = $articlecomment_authorid;
						$articlecomment_author_array[ ] = $articlecomment_author;
						$articlecomment_icon_array[ ] = $articlecomment_icon;
						$articlecomment_subject_array[ ] = $articlecomment_subject;
						$articlecomment_rawtext_array[ ] = $articlecomment_rawtext;
						$articlecomment_text_array[ ] = $articlecomment_text;
						$articlecomment_plonk_array[ ] = $articlecomment_plonk;
						$articlecomment_signature_array[ ] = $articlecomment_signature;
						$articlecomment_smilies_array[ ] = $articlecomment_smilies;
						$articlecomment_bcode_array[ ] = $articlecomment_bcode;
						$articlecomment_date_array[ ] = $articlecomment_date;
						$articlecomment_edits_array[ ] = $articlecomment_edits;
						$articlecomment_lasteditauthor_array[ ] = $articlecomment_lasteditauthor;
						$articlecomment_lasteditdate_array[ ] = $articlecomment_lasteditdate;
						$articlecomment_postip_array[ ] = $articlecomment_postip;
						$articlecomment_editip_array[ ] = $articlecomment_editip;
					}
				}

				for( $c = 0; $c < count( $articlecomment_id_array ); $c++ )
				{
					$insert[ 'articlecomment_id' ] = intval( $articlecomment_id_array[ $c ] );
					$insert[ 'articlecomment_authorid' ] = intval( $articlecomment_authorid_array[ $c ] );
					$insert[ 'articlecomment_author' ] = htmlspecialchars( $articlecomment_author_array[ $c ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'articlecomment_icon' ] = intval( $articlecomment_icon_array[ $c ] );
					$insert[ 'articlecomment_subject' ] = htmlspecialchars( $articlecomment_subject_array[ $c ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'articlecomment_rawtext' ] = htmlspecialchars( $articlecomment_rawtext_array[ $c ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'articlecomment_text' ] = $articlecomment_text_array[ $c ];
					$insert[ 'articlecomment_plonk' ] = intval( $articlecomment_plonk_array[ $c ] );
					$insert[ 'articlecomment_signature' ] = intval( $articlecomment_signature_array[ $c ] );
					$insert[ 'articlecomment_smilies' ] = intval( $articlecomment_smilies_array[ $c ] );
					$insert[ 'articlecomment_bcode' ] = intval( $articlecomment_bcode_array[ $c ] );
					$insert[ 'articlecomment_edits' ] = intval( $articlecomment_edits_array[ $c ] );
					$insert[ 'articlecomment_lasteditauthor' ] = htmlspecialchars( $articlecomment_lasteditauthor_array[ $c ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'articlecomment_lasteditdate' ] = htmlspecialchars( $articlecomment_lasteditdate_array[ $c ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'articlecomment_postip' ] = htmlspecialchars( $articlecomment_postip_array[ $c ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'articlecomment_editip' ] = htmlspecialchars( $articlecomment_editip_array[ $c ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'articlecomment_date' ] = $system -> convertdate( $articlecomment_date_array[ $c ], $preferences[ 'articles_dateformat' ], $preferences[ 'website_timezone' ] );

					if( isset( $articles_profile_array[ $insert[ 'articlecomment_authorid' ] ] ) )
					{
						$articlecomment_author = explode( "|^Z|", $articles_profile_array[ $insert[ 'articlecomment_authorid' ] ] );
						$articlecomment_author_regdate = explode( " ", $articlecomment_author[ 2 ] );
						$insert[ 'articlecomment_author' ] = $system -> decode( $articlecomment_author[ 0 ] );
						$insert[ 'articlecomment_author_status' ] = $articlecomment_author[ 1 ];
						$insert[ 'articlecomment_author_regdate' ] = $articlecomment_author_regdate[ 0 ];
						$insert[ 'articlecomment_author_posts' ] = $articlecomment_author[ 3 ];
						$insert[ 'articlecomment_author_birthday' ] = $articlecomment_author[ 4 ];
						$insert[ 'articlecomment_author_location' ] = $system -> decode( $articlecomment_author[ 5 ] );
						$insert[ 'articlecomment_author_avatar' ] = $articlecomment_author[ 6 ];
						$insert[ 'articlecomment_author_signature' ] = ( !$preferences[ 'articles_forum_signatures' ] and !preg_match( "/Contentteller/i", $preferences[ 'website_uwrapper_product' ] ) ) ? "" : $system -> decode( $articlecomment_author[ 7 ] );
						$insert[ 'articlecomment_author_title' ] = $system -> decode( $articlecomment_author[ 8 ] );
						$insert[ 'articlecomment_author_regip' ] = $articlecomment_author[ 9 ];
						$insert[ 'articlecomment_author_usertitle' ] = "";

						if ($insert[ 'articlecomment_author_title' ])
						{
							$insert[ 'articlecomment_author_usertitle' ] = $insert[ 'articlecomment_author_title' ];
						}
						else
						{
							for( $i = 0; $i < count( $articles_usertitle_title_array ); $i++ )
							{
								if( $articlecomment_author[ 3 ] >= $articles_usertitle_posts_array[ $i ] )
								{
									$insert[ 'articlecomment_author_usertitle' ] = $articles_usertitle_title_array[ $i ];
								}
							}
						}

						$insert[ 'articlecomment_author_postsline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_userposts_html' ], $main_templates[ 'articles_summary_comment_userposts_php' ], $insert );

						if( $insert[ 'articlecomment_author_regdate' ] )
						{
							$insert[ 'articlecomment_author_regdateline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_userregdate_html' ], $main_templates[ 'articles_summary_comment_userregdate_php' ], $insert );
						}
						else
						{
							$insert[ 'articlecomment_author_locationline' ] = "";
						}

						if( $insert[ 'articlecomment_author_location' ] )
						{
							$insert[ 'articlecomment_author_locationline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_userlocation_html' ], $main_templates[ 'articles_summary_comment_userlocation_php' ], $insert );
						}
						else
						{
							$insert[ 'articlecomment_author_locationline' ] = "";
						}

						if( $articlecomment_author[ 1 ] == 1 or $articlecomment_author[ 1 ] == 4 )
						{
							$insert[ 'articlecomment_author_titleline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_usertitle_html' ], $main_templates[ 'articles_summary_comment_usertitle_php' ], $insert );
						}
						elseif( $articlecomment_author[ 1 ] == 2 )
						{
							$insert[ 'articlecomment_author_titleline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_usertitle_admin_html' ], $main_templates[ 'articles_summary_comment_usertitle_admin_php' ], $insert );
						}
						elseif( $articlecomment_author[ 1 ] == 3 )
						{
							$insert[ 'articlecomment_author_titleline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_usertitle_moderator_html' ], $main_templates[ 'articles_summary_comment_usertitle_moderator_php' ], $insert );
						}
						elseif( $articlecomment_author[ 1 ] == 5 )
						{
							$insert[ 'articlecomment_author_titleline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_usertitle_banned_html' ], $main_templates[ 'articles_summary_comment_usertitle_banned_php' ], $insert );
						}
						elseif( $articlecomment_author[ 1 ] == 6 )
						{
							$insert[ 'articlecomment_author_titleline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_usertitle_subscriber_html' ], $main_templates[ 'articles_summary_usertitle_subscriber_php' ], $insert );
						}
					}
					else
					{
						$insert[ 'articlecomment_author_status' ] = "";
						$insert[ 'articlecomment_author_regdate' ] = "";
						$insert[ 'articlecomment_author_posts' ] = "";
						$insert[ 'articlecomment_author_birthday' ] = "";
						$insert[ 'articlecomment_author_location' ] = "";
						$insert[ 'articlecomment_author_avatar' ] = "";
						$insert[ 'articlecomment_author_signature' ] = "";
						$insert[ 'articlecomment_author_title' ] = "";
						$insert[ 'articlecomment_author_regip' ] = "";
						$insert[ 'articlecomment_author_titleline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_usertitle_anon_html' ], $main_templates[ 'articles_summary_comment_usertitle_anon_php' ], $insert );
						$insert[ 'articlecomment_author_postsline' ] = "";
						$insert[ 'articlecomment_author_regdateline' ] = "";
						$insert[ 'articlecomment_author_locationline' ] = "";
					}

					if( $insert[ 'articlecomment_author_avatar' ] and $user[ 'user_showavatars' ] )
					{
						$insert[ 'articlecomment_author_avatarline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_avatar_html' ], $main_templates[ 'articles_summary_comment_avatar_php' ], $insert );
					}
					else
					{
						$insert[ 'articlecomment_author_avatarline' ] = "";
					}

					if( $insert[ 'articlecomment_author_signature' ] and $user[ 'user_showsignatures' ] and $preferences[ 'articles_show_signature' ] )
					{
						$insert[ 'articlecomment_author_signature' ] = $system -> smilies( $system -> code( $insert[ 'articlecomment_author_signature' ] ) );
						$insert[ 'articlecomment_author_signatureline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_signature_html' ], $main_templates[ 'articles_summary_comment_signature_php' ], $insert );
					}
					else
					{
						$insert[ 'articlecomment_author_signatureline' ] = "";
					}

					if( $user[ 'user_status' ] and $insert[ 'articlecomment_authorid' ] )
					{
						$insert[ 'articlecomment_authorline' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_profile_html' ], $main_templates[ 'articles_summary_comment_profile_php' ], $insert );
					}
					else
					{
						$insert[ 'articlecomment_authorline' ] = $insert[ 'articlecomment_author' ];
					}

					if( $preferences[ 'articles_allow_msgicons' ] and isset( $articles_messageicons[ $insert[ 'articlecomment_icon' ] ] ) )
					{
						$insert[ 'articlecomment_messageicon' ] = $articles_messageicons[ $insert[ 'articlecomment_icon' ] ];
						$insert[ 'articlecomment_messageicon' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_messageicon_html' ], $main_templates[ 'articles_summary_comment_messageicon_php' ], $insert );
					}
					else
					{
						$insert[ 'articlecomment_messageicon' ] = "";
					}

					if( $user[ 'user_status' ] and !$insert[ 'article_thread' ] )
					{
						$insert[ 'articlecomment_rawtext' ] = $system -> fixbreaks( addslashes( $insert[ 'articlecomment_rawtext' ] ) );

						if( $user[ 'user_status' ] == 2 or $moderator )
						{
							$insert[ 'articlecomment_options' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_options_admin_html' ], $main_templates[ 'articles_summary_comment_options_admin_php' ], $insert );
						}
						else
						{
							if( $user[ 'user_name' ] == $insert[ 'articlecomment_author' ] )
							{
								$insert[ 'articlecomment_options_edit' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_options_edit_html' ], $main_templates[ 'articles_summary_comment_options_edit_php' ], $insert );
							}
							else
							{
								$insert[ 'articlecomment_options_edit' ] = "";
							}

							$insert[ 'articlecomment_options' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_options_html' ], $main_templates[ 'articles_summary_comment_options_php' ], $insert );
						}
					}
					else
					{
						$insert[ 'articlecomment_options' ] = "";
					}

					if( ( !$insert[ 'articlecomment_plonk' ] ) or( $user[ 'user_status' ] == 4 and $insert[ 'articlecomment_plonk' ] ) )
					{
						$insert[ 'articles_summary_comment' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_html' ], $main_templates[ 'articles_summary_comment_php' ], $insert );
					}
					else
					{
						$insert[ 'articles_summary_comment' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_plonked_html' ], $main_templates[ 'articles_summary_comment_plonked_php' ], $insert );
					}
				}

				if( ( $user[ 'user_status' ] == 2 or $moderator ) and( !$insert[ 'article_thread' ] ) )
				{
					$insert[ 'articles_summary_comment_manage_footer' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_manage_footer_html' ], $main_templates[ 'articles_summary_comment_manage_footer_php' ], $insert );
				}
			}
		}

		if( $insert[ 'article_thread' ] )
		{
			$insert[ 'article_threadlink' ] = $uwrapper -> getthreadlink( $insert[ 'article_thread' ] );
			$insert[ 'articles_summary_comment_form' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_external_html' ], $main_templates[ 'articles_summary_comment_form_external_php' ], $insert );
		}
		else
		{
			$insert[ 'input_anon' ] = "";
			$insert[ 'input_subject' ] = "";
			$insert[ 'input_message' ] = "";

			if( $preferences[ 'articles_allow_unregcomments' ] and !$user[ 'user_status' ] )
			{
				$insert[ 'article_anon' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_anon_html' ], $main_templates[ 'articles_summary_comment_form_anon_php' ], $insert );
			}
			else
			{
				$insert[ 'article_anon' ] = "";
			}

			if( $preferences[ 'articles_allow_msgicons' ] )
			{
				$query = $database -> dbquery( "SELECT messageicon_id, messageicon_name, messageicon_image FROM " . DB_PREFIX . "esselbach_ct_messageicons WHERE messageicon_active = '1' ORDER BY messageicon_position" );
				$messageicon_row = 0;
				$insert[ 'article_iconrow' ] = "";

				while( list( $insert[ 'messageicon_id' ], $insert[ 'messageicon_name' ], $insert[ 'messageicon_image' ] ) = $database -> dbrow( $query ) )
				{
					$insert[ 'messageicon_name' ] = htmlspecialchars( $insert[ 'messageicon_name' ], ENT_QUOTES, CT_ENCODING );
					$insert[ 'messageicon_image' ] = htmlspecialchars( $insert[ 'messageicon_image' ], ENT_QUOTES, CT_ENCODING );

					if( !$messageicon_row )
					{
						$insert[ 'messageicon_checked' ] = "checked=\"checked\"";
					}
					else
					{
						$insert[ 'messageicon_checked' ] = "";
					}

					$messageicon_row++;

					if( $messageicon_row > $preferences[ 'articles_max_msgicons' ] )
					{
						$insert[ 'messageicon_break' ] = "<br />";
						$messageicon_row = 1;
					}
					else
					{
						$insert[ 'messageicon_break' ] = "";
					}

					$insert[ 'article_iconrow' ] .= $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_iconrow_html' ], $main_templates[ 'articles_summary_comment_form_iconrow_php' ], $insert );
				}
			}

			if( $insert[ 'article_iconrow' ] )
			{
				$insert[ 'article_icon' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_icon_html' ], $main_templates[ 'articles_summary_comment_form_icon_php' ], $insert );
			}
			else
			{
				$insert[ 'article_icon' ] = "";
			}

			if( ( $user[ 'user_status' ] or $preferences[ 'articles_allow_unregcomments' ] ) and $insert[ 'article_allowcomments' ])
			{
				if( $user[ 'user_status' ] )
				{
					$input_signature = $uwrapper -> signature( $input_author );
					( $input_signature ) ? $insert[ 'input_signature_checked' ] = "checked=\"checked\"" : $insert[ 'input_signature_checked' ] = "" ;
					$insert[ 'article_signature' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_signature_html' ], $main_templates[ 'articles_summary_comment_form_signature_php' ], $insert );
				}
				else
				{
					$input_signature = 0;
					$insert[ 'article_signature' ] = "";
				}

				$insert[ 'input_smilies_checked' ] = "";
				$insert[ 'input_bcode_checked' ] = "";

				if( $preferences[ 'articles_securitycode' ] )
				{
					if( ( $preferences[ 'website_recaptcha' ] ) and ( $preferences[ 'website_recaptcha_public_key' ] ) and ( $preferences[ 'website_recaptcha_private_key' ] ) and function_exists( "curl_exec" ) )
					{
						$insert[ 'website_recaptcha_public_key' ] = $preferences[ 'website_recaptcha_public_key' ];
						$insert[ 'article_securitycode' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_recaptcha_html' ], $main_templates[ 'articles_summary_comment_form_recaptcha_php' ], $insert );
					}
					elseif( function_exists( "imagestring" ) and !$user[ 'user_nocookie' ] )
					{
						$insert[ 'input_securitycode' ] = "";
						if( !isset( $_SESSION[ 'articles_security_code' ] ) )
						{
							session_start();
							$_SESSION[ 'articles_security_code' ] = substr( md5( $system -> dorand() ), 14, 8 );
						}
						$insert[ 'article_securitycode' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_securitycode_html' ], $main_templates[ 'articles_summary_comment_form_securitycode_php' ], $insert );
					}
				}
				else
				{
					$insert[ 'article_securitycode' ] = "";
				}

				if ( $preferences[ 'articles_comments_wysiwyg' ] )
				{
					$insert[ 'articles_summary_comment_form' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_wysiwyg_html' ], $main_templates[ 'articles_summary_comment_form_wysiwyg_php' ], $insert );
				}
				else
				{
					$insert[ 'articles_summary_comment_form' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_comment_form_html' ], $main_templates[ 'articles_summary_comment_form_php' ], $insert );
				}
			}
			else
			{
				$insert[ 'articles_summary_comment_form' ] = "";
			}
		}
	}
	else
	{
		echo $templates -> exectemplate( $main_templates[ 'articles_error_noarticle_html' ], $main_templates[ 'articles_error_noarticle_php' ], $insert );
	}

	if( $preferences[ 'articles_navigation' ] )
	{
		if( $articles_summary )
		{
			$insert[ 'articles_summary_footer' ] = $templates -> exectemplate( $main_templates[ 'articles_summary_footer_html' ], $main_templates[ 'articles_summary_footer_php' ], $insert );
		}
		else
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_footer_html' ], $main_templates[ 'articles_footer_php' ], $insert );
		}
	}

	if( $articles_summary )
	{
		echo $templates -> exectemplate( $main_templates[ 'articles_layout_summary_html' ], $main_templates[ 'articles_layout_summary_php' ], $insert );
	}

	echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
}
?>